[ISPC3] 'Updatestatus anzeigen' ohne Details

Dieses Thema im Forum "Installation und Konfiguration" wurde erstellt von Kaimane, 11. Sep. 2011.

  1. Kaimane

    Kaimane Member

    Hallo zusammen!

    ISPC3 läuft seit nun knapp einem Monat sehr stabil.
    An dieser Stelle noch mal vielen Dank für den Support und die super Software!

    Nun ist mir aufgefallen, dass auf der Seite 'Updatestatus anzeigen' (wenn dann mal ein Update verfügbar ist) nur einen blauer Balken dargestellt wird, aber nicht die Details, was upgedatet werden kann.

    Auf dem Server läuft ISPC3 mit Debian 6.0.2.

    Kennt jemand dieses Problem und weiß, wie es sich lösen lässt?

    Danke im Voraus!
     
  2. Till

    Till Administrator

    Bei mir funktionierte s auf Debian 6. Was gibt dennn der Befehl:

    apt-get -s -qq dist-upgrade

    bei Dir aus?
     
  3. Kaimane

    Kaimane Member

    Hallo Till,

    die Ausgabe von
    Code:
    apt-get -s -qq dist-upgrade
    ist bei mir zur Zeit leer.

    Vermutlich liegt es daran, dass es momentan nichts upzudaten gibt :)
    Ich prüfe es noch mal, sobald wieder Updates vorhanden sind.
     
  4. Kaimane

    Kaimane Member

    Hallo Till,

    so, im Repository sind nun wieder Updates.
    ISPC3 wies mich darauf hin. Jedoch ohne die Info, was genau zum Update bereit steht.

    Über den apt-get Befehl (siehe Post oben) zeigt er mir alle Pakete an, die upgedatet werden können. Nur in ISPC3 bleibt die Ausgabe leer.
    Der einzige Unterschied besteht darin, dass die Hintergrundfarbe der Infobox in ISPC3 von grün auf blau wechselte.

    Kann man den Fehler weiter eingrenzen? :-/
     
  5. Till

    Till Administrator

    Wenn Du mal die Ausgabe des Befehls:

    apt-get -s -qq dist-upgrade

    postest, dann vielleicht.
     
  6. Kaimane

    Kaimane Member

    Verzeihung, mein Fehler.
    Ausgabe vom apt-get Befehl:

    Code:
    Inst base-files [6.0squeeze2] (6.0squeeze3 Debian:6.0.3/stable [i386])
    Conf base-files (6.0squeeze3 Debian:6.0.3/stable [i386])
    Inst tzdata [2011d-0squeeze1] (2011k-0squeeze1 Debian:6.0.3/stable [all])
    Conf tzdata (2011k-0squeeze1 Debian:6.0.3/stable [all])
    Inst aptitude [0.6.3-3.2] (0.6.3-3.2+squeeze1 Debian:6.0.3/stable [i386])
    Inst libssl0.9.8 [0.9.8o-4squeeze2] (0.9.8o-4squeeze3 Debian:6.0.3/stable [i386])
    Inst libk5crypto3 [1.8.3+dfsg-4squeeze1] (1.8.3+dfsg-4squeeze2 Debian:6.0.3/stable [i386])
    Inst libgssapi-krb5-2 [1.8.3+dfsg-4squeeze1] (1.8.3+dfsg-4squeeze2 Debian:6.0.3/stable [i386]) []
    Inst libkrb5-3 [1.8.3+dfsg-4squeeze1] (1.8.3+dfsg-4squeeze2 Debian:6.0.3/stable [i386]) []
    Inst libkrb5support0 [1.8.3+dfsg-4squeeze1] (1.8.3+dfsg-4squeeze2 Debian:6.0.3/stable [i386])
    Inst libgssrpc4 [1.8.3+dfsg-4squeeze1] (1.8.3+dfsg-4squeeze2 Debian:6.0.3/stable [i386])
    Inst libkadm5clnt-mit7 [1.8.3+dfsg-4squeeze1] (1.8.3+dfsg-4squeeze2 Debian:6.0.3/stable [i386])
    Inst libkdb5-4 [1.8.3+dfsg-4squeeze1] (1.8.3+dfsg-4squeeze2 Debian:6.0.3/stable [i386])
    Inst libkadm5srv-mit7 [1.8.3+dfsg-4squeeze1] (1.8.3+dfsg-4squeeze2 Debian:6.0.3/stable [i386])
    Inst openssh-server [1:5.5p1-6] (1:5.5p1-6+squeeze1 Debian:6.0.3/stable [i386]) []
    Inst openssh-client [1:5.5p1-6] (1:5.5p1-6+squeeze1 Debian:6.0.3/stable [i386])
    Inst apache2 [2.2.16-6+squeeze3] (2.2.16-6+squeeze4 Debian:6.0.3/stable [i386]) []
    Inst apache2-mpm-prefork [2.2.16-6+squeeze3] (2.2.16-6+squeeze4 Debian:6.0.3/stable [i386]) []
    Inst apache2.2-common [2.2.16-6+squeeze3] (2.2.16-6+squeeze4 Debian:6.0.3/stable [i386]) []
    Inst apache2.2-bin [2.2.16-6+squeeze3] (2.2.16-6+squeeze4 Debian:6.0.3/stable [i386])
    Inst apache2-utils [2.2.16-6+squeeze3] (2.2.16-6+squeeze4 Debian:6.0.3/stable [i386])
    Inst apache2-doc [2.2.16-6+squeeze3] (2.2.16-6+squeeze4 Debian:6.0.3/stable [all])
    Inst apache2-suexec [2.2.16-6+squeeze3] (2.2.16-6+squeeze4 Debian:6.0.3/stable [i386])
    Inst openssl [0.9.8o-4squeeze2] (0.9.8o-4squeeze3 Debian:6.0.3/stable [i386])
    Inst ca-certificates [20090814+nmu3] (20090814+nmu3squeeze1 Debian:6.0.3/stable [all])
    Inst libclamav6 [0.97+dfsg-2~squeeze1] (0.97.2+dfsg-1~squeeze1 Debian:6.0.3/stable [i386])
    Inst clamav-daemon [0.97+dfsg-2~squeeze1] (0.97.2+dfsg-1~squeeze1 Debian:6.0.3/stable [i386]) []
    Inst clamav-base [0.97+dfsg-2~squeeze1] (0.97.2+dfsg-1~squeeze1 Debian:6.0.3/stable [all])
    Inst clamav-freshclam [0.97+dfsg-2~squeeze1] (0.97.2+dfsg-1~squeeze1 Debian:6.0.3/stable [i386])
    Inst clamav [0.97+dfsg-2~squeeze1] (0.97.2+dfsg-1~squeeze1 Debian:6.0.3/stable [i386])
    Inst clamav-docs [0.97+dfsg-2~squeeze1] (0.97.2+dfsg-1~squeeze1 Debian:6.0.3/stable [all])
    Inst grub-pc [1.98+20100804-14] (1.98+20100804-14+squeeze1 Debian:6.0.3/stable [i386]) []
    Inst grub-common [1.98+20100804-14] (1.98+20100804-14+squeeze1 Debian:6.0.3/stable [i386])
    Inst libpcap0.8 [1.1.1-2] (1.1.1-2+squeeze1 Debian:6.0.3/stable [i386])
    Inst libpq5 [8.4.8-0squeeze1] (8.4.8-0squeeze2 Debian:6.0.3/stable [i386])
    Inst linux-libc-dev [2.6.32-35squeeze2] (2.6.32-38 Debian:6.0.3/stable [i386])
    Inst update-inetd [4.38+nmu1] (4.38+nmu1+squeeze1 Debian:6.0.3/stable [all])
    Inst usbutils [0.87-5] (0.87-5squeeze1 Debian:6.0.3/stable [i386])
    Conf aptitude (0.6.3-3.2+squeeze1 Debian:6.0.3/stable [i386])
    Conf libssl0.9.8 (0.9.8o-4squeeze3 Debian:6.0.3/stable [i386])
    Conf libkrb5support0 (1.8.3+dfsg-4squeeze2 Debian:6.0.3/stable [i386])
    Conf libk5crypto3 (1.8.3+dfsg-4squeeze2 Debian:6.0.3/stable [i386])
    Conf libkrb5-3 (1.8.3+dfsg-4squeeze2 Debian:6.0.3/stable [i386])
    Conf libgssapi-krb5-2 (1.8.3+dfsg-4squeeze2 Debian:6.0.3/stable [i386])
    Conf libgssrpc4 (1.8.3+dfsg-4squeeze2 Debian:6.0.3/stable [i386])
    Conf libkadm5clnt-mit7 (1.8.3+dfsg-4squeeze2 Debian:6.0.3/stable [i386])
    Conf libkdb5-4 (1.8.3+dfsg-4squeeze2 Debian:6.0.3/stable [i386])
    Conf libkadm5srv-mit7 (1.8.3+dfsg-4squeeze2 Debian:6.0.3/stable [i386])
    Conf openssh-client (1:5.5p1-6+squeeze1 Debian:6.0.3/stable [i386])
    Conf openssh-server (1:5.5p1-6+squeeze1 Debian:6.0.3/stable [i386])
    Conf apache2.2-bin (2.2.16-6+squeeze4 Debian:6.0.3/stable [i386])
    Conf apache2-utils (2.2.16-6+squeeze4 Debian:6.0.3/stable [i386])
    Conf apache2.2-common (2.2.16-6+squeeze4 Debian:6.0.3/stable [i386])
    Conf apache2-mpm-prefork (2.2.16-6+squeeze4 Debian:6.0.3/stable [i386])
    Conf apache2 (2.2.16-6+squeeze4 Debian:6.0.3/stable [i386])
    Conf apache2-doc (2.2.16-6+squeeze4 Debian:6.0.3/stable [all])
    Conf apache2-suexec (2.2.16-6+squeeze4 Debian:6.0.3/stable [i386])
    Conf openssl (0.9.8o-4squeeze3 Debian:6.0.3/stable [i386])
    Conf ca-certificates (20090814+nmu3squeeze1 Debian:6.0.3/stable [all])
    Conf libclamav6 (0.97.2+dfsg-1~squeeze1 Debian:6.0.3/stable [i386])
    Conf clamav-base (0.97.2+dfsg-1~squeeze1 Debian:6.0.3/stable [all])
    Conf clamav-freshclam (0.97.2+dfsg-1~squeeze1 Debian:6.0.3/stable [i386])
    Conf clamav-daemon (0.97.2+dfsg-1~squeeze1 Debian:6.0.3/stable [i386])
    Conf clamav (0.97.2+dfsg-1~squeeze1 Debian:6.0.3/stable [i386])
    Conf clamav-docs (0.97.2+dfsg-1~squeeze1 Debian:6.0.3/stable [all])
    Conf grub-common (1.98+20100804-14+squeeze1 Debian:6.0.3/stable [i386])
    Conf grub-pc (1.98+20100804-14+squeeze1 Debian:6.0.3/stable [i386])
    Conf libpcap0.8 (1.1.1-2+squeeze1 Debian:6.0.3/stable [i386])
    Conf libpq5 (8.4.8-0squeeze2 Debian:6.0.3/stable [i386])
    Conf linux-libc-dev (2.6.32-38 Debian:6.0.3/stable [i386])
    Conf update-inetd (4.38+nmu1+squeeze1 Debian:6.0.3/stable [all])
    Conf usbutils (0.87-5squeeze1 Debian:6.0.3/stable [i386])
    
     
  7. Till

    Till Administrator

    Das sieht soweit OK aus. Und Du benutzt auch die aktuelle ISPConfig Version (3.0.3.3)? Wenn nicht, dann solltest Du mal updaten.
     
  8. Kaimane

    Kaimane Member

    Ja ich benutze die neuste Version, 3.0.3.3.
    Es ist mir auch ein Rätsel warum die Ausgabe von apt-get nicht dargestellt wird.

    An welcher Stelle wird die Ausgabe abgelegt?
    In der DB oder in einer separaten Datei?
     
  9. Till

    Till Administrator

    In der DB, Tabelle monitor_data
     
  10. nowayback

    nowayback Well-Known Member

  11. Kaimane

    Kaimane Member

    Also in der Tabelle "monitor_data", Zeile "system_update" steht im Feld "data"

    Code:
    a:1:{s:6:"output";s:6164:"Paketlisten werden gelesen...
    Abh
    
    Sieht nach dem gleichen Fehler aus, den auch nowayback hatte.
    Ich würde jedoch ungerne an den Files vom ISPC3 Core etwas ändern, da mit einem Update diese wieder verschwinden.
    Mir reicht die Information, dass neue Updates bereit stehen ( in Form der veränderten Farbe ) vollkommen aus.
    Es wäre nur prima @Till, wenn dieser Bug in der kommenden Version gefixed werden könnte.

    Viele Grüße!
    Kaimane
     
  12. Till

    Till Administrator

    Ihr könnt ihn ja mal im Bugtracker posten, dann sehen wir uns das mal an.
     
  13. nowayback

    nowayback Well-Known Member

    Moinsen,

    nachdem ich ja anscheinend nicht der einzige bin der die deutschen locales nutzt und das Problem somit auch bei anderen auftritt hatte ich meine geänderte Datei in dem von mir erstellten Thema noch mit hochgeladen.

    Erledigt: http://bugtracker.ispconfig.org/index.php?do=details&task_id=1801

    Jedoch verstehe ich nicht warum wir es dann nochmal posten müssen wenn es hier schon geklärt ist, bzw. du/ihr hier schon darauf aufmerksam gemacht wurdet.

    Wie dem auch sei, dein Wunsch wurde erfüllt :cool:

    Grüße
    nwb
     

Diese Seite empfehlen